Page MenuHomePhabricator

Talk page of blocked user is not patrolled when user edits own talk page and has autopatrol right
Closed, DeclinedPublicBug

Description

Steps to Reproduce:
When you are blocked, but editing talk page is allowed, edit it.

Actual Results:
User which have patrol right or it is administrator have to patrol it change.

Expected Results:
Edit should be automaticlly patrolled.

Event Timeline

Restricted Application added subscribers: Dvorapa, Aklapper. · View Herald TranscriptMay 15 2018, 7:02 PM
Dvorapa removed a subscriber: Dvorapa.May 15 2018, 7:20 PM

Looks like this check happens in WikiPage:

				// Mark as patrolled if the user can do so
				$autopatrolled = $wgUseRCPatrol && !count(
						$this->mTitle->getUserPermissionsErrors( 'autopatrol', $user ) );

Title::getUserPermissionsErrors() calls Title::checkUserBlock(), which calls User::isBlockedFrom(), but only for $action == 'edit' || $action == 'create'. We should probably add 'autopatrol' to that list.

Change 433327 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] Allow users to autopatrol their own talk page when blocked

https://gerrit.wikimedia.org/r/433327

Looks like this check happens in WikiPage:

				// Mark as patrolled if the user can do so
				$autopatrolled = $wgUseRCPatrol && !count(
						$this->mTitle->getUserPermissionsErrors( 'autopatrol', $user ) );

Title::getUserPermissionsErrors() calls Title::checkUserBlock(), which calls User::isBlockedFrom(), but only for $action == 'edit' || $action == 'create'. We should probably add 'autopatrol' to that list.

Thank you!

Change 433327 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/core@master] Allow users to autopatrol their own talk page when blocked
https://gerrit.wikimedia.org/r/433327

Should be ok.

Zoranzoki21 renamed this task from Talk page of blocked user is not patrolled when user edit own talk page and he is autopatrol to Talk page of blocked user is not patrolled when user edit own talk page and he have autopatrol right.May 16 2018, 7:53 PM
Anomie added a subscriber: Anomie.May 30 2018, 7:58 PM

I wonder whether this is actually a good idea. If someone is blocked, an admin probably should look at whatever the person posts on their talk page to see whether it's an unblock request or just disrupting the only page they still can edit.

I agree with @Anomie, this is actually a bad idea.

Change 433327 abandoned by Bartosz Dziewoński:
Allow users to autopatrol their own talk page when blocked

Reason:
There is some disagreement as to whether this is desirable, and I don't really care that much myself.

https://gerrit.wikimedia.org/r/433327

matmarex removed a subscriber: matmarex.
Vvjjkkii renamed this task from Talk page of blocked user is not patrolled when user edit own talk page and he have autopatrol right to iwcaaaaaaa.Jul 1 2018, 1:09 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from iwcaaaaaaa to Talk page of blocked user is not patrolled when user edit own talk page and he have autopatrol right.Jul 2 2018, 4:08 PM
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.
matej_suchanek renamed this task from Talk page of blocked user is not patrolled when user edit own talk page and he have autopatrol right to Talk page of blocked user is not patrolled when user edits own talk page and has autopatrol right.Aug 25 2018, 1:18 PM
matej_suchanek changed the task status from Open to Stalled.
Zoranzoki21 closed this task as Declined.Mar 13 2019, 1:54 PM

I wonder whether this is actually a good idea. If someone is blocked, an admin probably should look at whatever the person posts on their talk page to see whether it's an unblock request or just disrupting the only page they still can edit.

Yes, you are right.